summaryrefslogtreecommitdiffstats
path: root/libraries/libkate
diff options
context:
space:
mode:
author Nishant Limbachia2010-06-28 16:43:05 +0200
committer dsomero2010-06-28 16:43:05 +0200
commite5e9b1e9652de217454cbd551f7176bfa90fec43 (patch)
treeece99dfca7b49a80250bde725f8b1c8995823699 /libraries/libkate
parent18c64c99899a30273a431fd4e4c50d64534ad8d9 (diff)
downloadslackbuilds-e5e9b1e9652de217454cbd551f7176bfa90fec43.tar.gz
libraries/libkate: Added (codec for karaoke and text support in Ogg)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/libkate')
-rw-r--r--libraries/libkate/README6
-rw-r--r--libraries/libkate/libkate.SlackBuild112
-rw-r--r--libraries/libkate/libkate.info10
-rw-r--r--libraries/libkate/patches/doc-thanks.patch10
-rw-r--r--libraries/libkate/patches/libpng-1.4.patch36
-rw-r--r--libraries/libkate/slack-desc19
6 files changed, 193 insertions, 0 deletions
diff --git a/libraries/libkate/README b/libraries/libkate/README
new file mode 100644
index 0000000000..bbecfa741f
--- /dev/null
+++ b/libraries/libkate/README
@@ -0,0 +1,6 @@
+Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time,
+this would be multiplexed with audio/video to carry subtitles, song lyrics
+(with or without karaoke data), etc.
+
+libkate is required if you want subtitles support while encoding files with
+ffmpeg2theora.
diff --git a/libraries/libkate/libkate.SlackBuild b/libraries/libkate/libkate.SlackBuild
new file mode 100644
index 0000000000..ff2817c999
--- /dev/null
+++ b/libraries/libkate/libkate.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware Package Build Script for libkate
+# Home Page http://code.google.com/p/libkate/
+
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libkate
+VERSION=0.3.7
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+find . \
+ \( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+ -exec chmod 755 {} \;
+
+### apply patches picked from git
+### apply doc patch
+patch -p1 < $CWD/patches/doc-thanks.patch
+### apply patch to build against libpng-1.4
+patch -p1 < $CWD/patches/libpng-1.4.patch
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/html $PKG/usr/doc/$PRGNAM-$VERSION
+rm -fr $PKG/usr/share
+
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libkate/libkate.info b/libraries/libkate/libkate.info
new file mode 100644
index 0000000000..15f99c2945
--- /dev/null
+++ b/libraries/libkate/libkate.info
@@ -0,0 +1,10 @@
+PRGNAM="libkate"
+VERSION="0.3.7"
+HOMEPAGE="http://code.google.com/p/libkate/"
+DOWNLOAD="http://libkate.googlecode.com/files/libkate-0.3.7.tar.gz"
+MD5SUM="e5c287b4f40498e5bde48c0a52225292"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
+APPROVED="dsomero"
diff --git a/libraries/libkate/patches/doc-thanks.patch b/libraries/libkate/patches/doc-thanks.patch
new file mode 100644
index 0000000000..b3c77e2264
--- /dev/null
+++ b/libraries/libkate/patches/doc-thanks.patch
@@ -0,0 +1,10 @@
+--- a/THANKS
++++ b/THANKS
+@@ -27,3 +27,7 @@ Christian Morales Vega
+
+ Gregory Maxwell
+ testing with Clang
++
++Denis Falqueto
++ build fix needed for libpng 1.4
++
diff --git a/libraries/libkate/patches/libpng-1.4.patch b/libraries/libkate/patches/libpng-1.4.patch
new file mode 100644
index 0000000000..d624bcc5fb
--- /dev/null
+++ b/libraries/libkate/patches/libpng-1.4.patch
@@ -0,0 +1,36 @@
+--- a/tools/kpng.c
++++ b/tools/kpng.c
+@@ -179,13 +179,13 @@ int kd_read_png8(const char *filename,int *w,int *h,int *bpp,kate_color **palett
+ }
+ }
+
+- png_destroy_read_struct(&png_ptr,&info_ptr,png_infopp_NULL);
++ png_destroy_read_struct(&png_ptr,&info_ptr,NULL);
+ fclose(f);
+
+ return 0;
+
+ error:
+- if (png_ptr) png_destroy_read_struct(&png_ptr,info_ptr?&info_ptr:png_infopp_NULL,png_infopp_NULL);
++ if (png_ptr) png_destroy_read_struct(&png_ptr,info_ptr?&info_ptr:NULL,NULL);
+ if (f) fclose(f);
+ return -1;
+ }
+@@ -224,7 +224,7 @@ int kd_read_png(const char *filename,int *w,int *h,unsigned char **pixels,size_t
+ if (w) *w=png_get_image_width(png_ptr,info_ptr);
+ if (h) *h=png_get_image_height(png_ptr,info_ptr);
+
+- png_destroy_read_struct(&png_ptr,&info_ptr,png_infopp_NULL);
++ png_destroy_read_struct(&png_ptr,&info_ptr,NULL);
+
+ /* now read the whole file as a binary blob */
+ fseek(f,0,SEEK_END);
+@@ -246,7 +246,7 @@ int kd_read_png(const char *filename,int *w,int *h,unsigned char **pixels,size_t
+ return 0;
+
+ error:
+- if (png_ptr) png_destroy_read_struct(&png_ptr,info_ptr?&info_ptr:png_infopp_NULL,png_infopp_NULL);
++ if (png_ptr) png_destroy_read_struct(&png_ptr,info_ptr?&info_ptr:NULL,NULL);
+ if (f) fclose(f);
+ return -1;
+ }
diff --git a/libraries/libkate/slack-desc b/libraries/libkate/slack-desc
new file mode 100644
index 0000000000..0286dce7d2
--- /dev/null
+++ b/libraries/libkate/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libkate: libkate (codec for karaoke and text support in Ogg)
+libkate:
+libkate: kate is a codec for karaoke and text encapsulation for Ogg.
+libkate: Most of the time, this would be multiplexed with audio/video
+libkate: to carry subtitles, song lyrics etc.
+libkate:
+libkate: Home Page http://code.google.com/p/libkate/
+libkate:
+libkate:
+libkate:
+libkate: